BinaryDictionary (Lucene 10.5.0 common API)
Description: declaration: package: org.apache.lucene.analysis.morph, class: BinaryDictionary

Package org.apache.lucene.analysis.morph

# Class BinaryDictionary<T extends MorphData>

java.lang.Object
org.apache.lucene.analysis.morph.BinaryDictionary<T>

All Implemented Interfaces:
  `Dictionary<T>`

public abstract class BinaryDictionary<T extends MorphData> extends Object implements Dictionary<T>
Abstract dictionary base class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ByteBuffer`
  `buffer`
  `static final String`
  `DICT_FILENAME_SUFFIX`
  `static final String`
  `POSDICT_FILENAME_SUFFIX`
  `static final String`
  `TARGETMAP_FILENAME_SUFFIX`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BinaryDictionary(IOSupplier<InputStream> targetMapResource, IOSupplier<InputStream> dictResource, String targetMapCodecHeader, String dictCodecHeader, int dictCodecVersion)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `lookupWordIds(int sourceId, IntsRef ref)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.analysis.morph.Dictionary

  `getLeftId, getMorphAttributes, getRightId, getWordCost`

- ## Field Details

  - ### DICT_FILENAME_SUFFIX

    public static final String DICT_FILENAME_SUFFIX
    See Also:
      - Constant Field Values

  - ### TARGETMAP_FILENAME_SUFFIX

    public static final String TARGETMAP_FILENAME_SUFFIX
    See Also:
      - Constant Field Values

  - ### POSDICT_FILENAME_SUFFIX

    public static final String POSDICT_FILENAME_SUFFIX
    See Also:
      - Constant Field Values

  - ### buffer

    protected final ByteBuffer buffer

- ## Constructor Details

  - ### BinaryDictionary

    protected BinaryDictionary(IOSupplier<InputStream> targetMapResource, IOSupplier<InputStream> dictResource, String targetMapCodecHeader, String dictCodecHeader, int dictCodecVersion) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### lookupWordIds

    public void lookupWordIds(int sourceId, IntsRef ref)